# Sander van Veen - 6167969 - University of Amsterdam - <sandervv@gmail.com>
#
# Basic Makefile used to simplify the compilation. Running "make" (without any
# arguments) from the command line will build the report for this assignment.
#

all: highlight compile

clean:
	rm -vf *.out *.aux *.toc *.bz2 translate.tex report.pdf

compile:
	pdflatex report
	pdflatex report
	rm -vf *.log

highlight: translate.tex

translate.tex: translate
	pygmentize -O style=colorful -l php -o $@ $^

tarball:
	tar -cvjf translate.tar.bz2 translate report.pdf

